/******************************************************************************

Copyright (C) 2013-2017, Fujitsu Electronics Europe GmbH or a               
subsidiary of Fujitsu Electronics Europe GmbH.  All rights reserved.        
                                                                            
This software, including source code, documentation and related             
materials ("Software"), is owned by Fujitsu Electronics Europe GmbH or      
one of its subsidiaries ("Fujitsu").
                                                                            
If no EULA applies, Fujitsu hereby grants you a personal, non-exclusive,    
non-transferable license to copy, modify, and compile the                   
Software source code solely for use in connection with Fujitsu's            
integrated circuit products.  Any reproduction, modification, translation,  
compilation, or representation of this Software except as specified         
above is prohibited without the express written permission of Fujitsu.      
                                                                            
Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                        
WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                        
BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                             
PARTICULAR PURPOSE. Fujitsu reserves the right to make                      
changes to the Software without notice. Fujitsu does not assume any         
liability arising out of the application or use of the Software or any      
product or circuit described in the Software. Fujitsu does not              
authorize its products for use in any products where a malfunction or       
failure of the Fujitsu product may reasonably be expected to result in      
significant property damage, injury or death ("High Risk Product"). By      
including Fujitsu's product in a High Risk Product, the manufacturer        
of such system or application assumes all risk of such use and in doing     
so agrees to indemnify Fujitsu against all liability.                       

 ******************************************************************************/
/******************************************************************************/
/** \file Board.h
 **
 ** A detailed description is available at 
 ** @link BoardConfigGroup Board Configuration description @endlink
 **
 ** History:
 **   - 2017-07-12  V1.0  MSc  First Version

 *****************************************************************************/
#ifndef __BOARDCONFIG_H__
#define __BOARDCONFIG_H__

/* C binding of definitions if building with C++ compiler */
#ifdef __cplusplus
extern "C"
{
#endif

#define LED_RED_ENABLED   1
#define LED_GREEN_ENABLED 1
#define LED_BLUE_ENABLED  1  
#define SW1_ENABLED       1
#define SW2_ENABLED       1   
#define USBUART_ENABLED   1
#define USBUART_BAUDRATE  115200
    
#ifdef __cplusplus
}
#endif

//@} // BoardConfigGroup

#endif /*__BOARDCONFIG_H__*/

/******************************************************************************/
/* EOF (not truncated)                                                        */
/******************************************************************************/
