/******************************************************************************

Copyright (C) 2013-2017, Fujitsu Electronics Europe GmbH or a               
subsidiary of Fujitsu Electronics Europe GmbH.  All rights reserved.        
                                                                            
This software, including source code, documentation and related             
materials ("Software"), is owned by Fujitsu Electronics Europe GmbH or      
one of its subsidiaries ("Fujitsu").
                                                                            
If no EULA applies, Fujitsu hereby grants you a personal, non-exclusive,    
non-transferable license to copy, modify, and compile the                   
Software source code solely for use in connection with Fujitsu's            
integrated circuit products.  Any reproduction, modification, translation,  
compilation, or representation of this Software except as specified         
above is prohibited without the express written permission of Fujitsu.      
                                                                            
Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                        
WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                        
BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                             
PARTICULAR PURPOSE. Fujitsu reserves the right to make                      
changes to the Software without notice. Fujitsu does not assume any         
liability arising out of the application or use of the Software or any      
product or circuit described in the Software. Fujitsu does not              
authorize its products for use in any products where a malfunction or       
failure of the Fujitsu product may reasonably be expected to result in      
significant property damage, injury or death ("High Risk Product"). By      
including Fujitsu's product in a High Risk Product, the manufacturer        
of such system or application assumes all risk of such use and in doing     
so agrees to indemnify Fujitsu against all liability.                       

 ******************************************************************************/
/******************************************************************************/
/** \file SkAmApolloBase.c
 **
 ** A detailed description is available at 
 ** @link SkAmApolloBaseGroup SK-AMAPOLLO-BASE Board Support description @endlink
 **
 ** History:
 **   - 2017-08-28  V1.0  MSc  First Version

 *****************************************************************************/
#define __SKAMAPOLLOBASE_C__
/*****************************************************************************/
/* Include files                                                             */
/*****************************************************************************/
#include "skamapollobase.h"
#include "boardconfig.h"
#include "apollogpio.h"
#include "apolloiom.h"
#include "apolloctimer.h"
#include "apollouart.h"
/*****************************************************************************/
/* Local pre-processor symbols/macros ('#define')                            */
/*****************************************************************************/


/*****************************************************************************/
/* Global variable definitions (declared in header file with 'extern')       */
/*****************************************************************************/



/*****************************************************************************/
/* Local type definitions ('typedef')                                        */
/*****************************************************************************/


/*****************************************************************************/
/* Local variable definitions ('static')                                     */
/*****************************************************************************/


/*****************************************************************************/
/* Local function prototypes ('static')                                      */
/*****************************************************************************/


/*****************************************************************************/
/* Function implementation - global ('extern') and local ('static')          */
/*****************************************************************************/

void SkAmaApolloBase_Init(void) 
{
    #if SW1_ENABLED == 1
        ApolloGpio_GpioInputEnable(BOARD_SW1,TRUE);
    #endif
    #if SW2_ENABLED == 1
        ApolloGpio_GpioInputEnable(BOARD_SW2,TRUE);
    #endif
    #if LED_RED_ENABLED == 1
        ApolloCTimer_PwmInitByPin(LED_RED);
        ApolloCTimer_PwmSetDutyByPin(LED_RED,0);
    #endif
    #if LED_GREEN_ENABLED == 1
        ApolloCTimer_PwmInitByPin(LED_GREEN);
        ApolloCTimer_PwmSetDutyByPin(LED_GREEN,0);
    #endif
    #if LED_BLUE_ENABLED == 1
        ApolloCTimer_PwmInitByPin(LED_BLUE);
        ApolloCTimer_PwmSetDutyByPin(LED_BLUE,0);
    #endif
    #if USBUART_ENABLED
        ApolloGpio_GpioInputEnable(BOARD_USBRX,TRUE);
        ApolloGpio_GpioSelectFunction(BOARD_USBRX,BOARD_USBRX_FUNC);
        ApolloGpio_GpioSelectFunction(BOARD_USBTX,BOARD_USBTX_FUNC);
        ApolloUart_Init(BOARD_USBUART_HANDLE,USBUART_BAUDRATE);
    #endif
}

/******************************************************************************/
/* EOF (not truncated)                                                        */
/******************************************************************************/

